| Home | Libraries | People | FAQ | More

##### params_ref::const_reference

(Inherited from `params_base`)

The reference type.

###### Synopsis

    using const_reference = param;

###### Member Functions

Name | Description
--- | ---
operator= | Assignment.
param | Constructor.

###### Data Members

Name | Description
--- | ---
has_value | True if a value is present.
key | The key.
value | The value.

Objects of this type represent a single key and value pair in a query string where a key is always present and may be empty, while the presence of a value is indicated by `has_value` equal to true. An empty value is distinct from no value. Depending on where the object was obtained, the strings may or may not contain percent escapes. For most usages, key comparisons are case-sensitive and duplicate keys in a query are possible. However, it is the authority that has final control over how the query is interpreted.

###### BNF

    query-params    = query-param *( "&" query-param )
    query-param     = key [ "=" value ]
    key             = *qpchar
    value           = *( qpchar / "=" )

###### Specification

- Query string (Wikipedia)

###### See Also

`param_view`, `param_pct_view`.

###### Description

This is the type of value returned when iterators of the view are dereferenced.

###### See Also

/root/project/libs/url/include/boost/url/params_base.hpp